---
title: USBDevice.reset()
slug: Web/API/USBDevice/reset
tags:
  - API
  - Method
  - Reference
  - USB
  - USBDevice
  - WebUSB
  - WebUSB API
  - reset
---
<p>{{APIRef("WebUSB API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>reset()</code></strong> method of the {{domxref("USBDevice")}} interface returns a {{jsxref("promise")}} that resolves when the device is reset and all app operations canceled and their promises rejected.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var promise = USBDevice.reset()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("promise")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web USB','#dom-usbdevice-reset','reset()')}}</td>
   <td>{{Spec2('Web USB')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.USBDevice.reset")}}</p>
